Modify

Opened 5 years ago

Closed 5 years ago

Last modified 5 years ago

#9598 closed task (fixed)

Upgrade to jQuery UI 1.7.3 and change to a more Trac-like theme

Reported by: Ryan J Ollos Owned by: Ryan J Ollos
Priority: normal Component: DateFieldPlugin
Severity: normal Keywords: jquery-ui
Cc: Steffen Hoffmann, Robert Corsaro Trac Release: 0.11

Description

I'm seeing a couple of warnings in the Firefox error console, and want to see if these will be resolved by an upgrade to 1.7.3:

Warning: The 'charCode' property of a keydown event should not be used. The value is meaningless.
Source File: https://trac.physiosonics.com/ticket/1166
Line: 0
Warning: Use of getAttributeNode() is deprecated. Use getAttribute() instead.
Source File: https://trac.physiosonics.com/ticket/1052
Line: 0

Attachments (0)

Change History (5)

comment:1 Changed 5 years ago by Ryan J Ollos

Status: newassigned
Summary: Upgrade to jQuery UI 1.7.3Upgrade to jQuery UI 1.7.3 and change to a more Trac-like theme

The UI lightness theme is currently being used. Of the available themes, the blitzer theme look most appropriate for Trac.

Perhaps someone has rolled a nice theme for Trac that we can use?

comment:2 Changed 5 years ago by Ryan J Ollos

(In [11023]) Refs #9598: (1.0.3)

  • Upgraded from jQuery UI 1.7.2 to 1.7.3.
  • Changed theme from UI Lightness to Blitzer.

comment:3 Changed 5 years ago by Ryan J Ollos

Cc: Steffen Hoffmann added; anonymous removed
Resolution: fixed
Status: assignedclosed

I'm still seeing both warnings. The first warning is seen with Firefox 3.6.24. The second warning is seen with Firefox 8.

The jQuery UI download page says that jQuery UI is for jQuery 1.3.2. Trac 0.11.7 provides jQuery 1.2.6. Trac 0.12.2 provides jQuery 1.4.4. Should jQuery UI not work with Trac 0.11.7? Well, it seems to work fine, so this is either just good fortune, or I'm not understanding something here.

comment:4 Changed 5 years ago by Ryan J Ollos

Cc: Robert Corsaro added
Keywords: jquery-ui added

I'm experimenting with an upgrade to jQuery UI 1.8.16 over in #9600.

comment:5 Changed 5 years ago by Ryan J Ollos

In #9763 I'm attempting to improve compatibility with Trac 0.11 and other plugins by changing the 0.11 branch to use jQuery UI 1.6.

Modify Ticket

Action
as closed The owner will remain Ryan J Ollos.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.